import { Store } from './types';
/**
 * Apply a limit to the number of history items to keep in memory
 */
export declare const setHistoryLimit: (num: number) => void;
/**
 * Return this history array.
 * We return the data without the proxies for readability. We do this when
 * retrieving rather than when putting the store in history for performance.
 */
export declare const getHistory: () => {
    changedProps: string[];
    store: Store;
}[];
export declare const back: () => void;
export declare const forward: () => void;
export declare const goTo: (index: number) => void;
/**
 * For resetting history between tests
 */
export declare const clearHistory: () => void;
